Analytics
Church Metrics AI Insights
deprecated
Church Metrics AI Insights.
POST
/
ai
/
v1
/
kallm
/
sotc
/
church-metrics-ai-insights
Church Metrics AI Insights
curl --request POST \
--url https://platform.ai.gloo.com/ai/v1/kallm/sotc/church-metrics-ai-insights \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form nationalCsvFile='@example-file' \
--form orgCsvFile='@example-file'import requests
url = "https://platform.ai.gloo.com/ai/v1/kallm/sotc/church-metrics-ai-insights"
files = {
"nationalCsvFile": ("example-file", open("example-file", "rb")),
"orgCsvFile": ("example-file", open("example-file", "rb"))
}
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('nationalCsvFile', '<string>');
form.append('orgCsvFile', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://platform.ai.gloo.com/ai/v1/kallm/sotc/church-metrics-ai-insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"title": "<string>",
"text": "<string>",
"categories": [
"<string>"
]
}
]
}{
"detail": "Invalid file format. Please upload a CSV file."
}{
"detail": "Internal server error"
}Deprecated Endpoint: This endpoint is deprecated and no longer supported.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
multipart/form-data
Response
Successful Response
Response data containing insights
Show child attributes
Show child attributes
⌘I
Church Metrics AI Insights

